extends Area2D


func _process(delta):
	var bodies: Array[Node2D] = get_overlapping_bodies()
	for body in bodies:
		print(body.get_name(), " is overlapping with me")
		body.paint()


func _unhandled_input(event: InputEvent) -> void:
	if event is InputEventMouseMotion:
		var mouseMotion = event as InputEventMouseMotion
		position = mouseMotion.position


func _on_body_entered(body: Node2D) -> void:
	print(body.get_name(), " entered in my area")
	body.paint()
